Subject: RE: [Simple] 200 vs. 202

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 7 Nov 2001 03:03:03 -0500

> -----Original Message-----
> From: Brazier Lachlan [mailto:[email-masked]]
> Sent: Tuesday, November 06, 2001 4:30 AM
> To: 'Jonathan Rosenberg'
> Cc: simple
> Subject: AW: [Simple] 200 vs. 202
> 
>
> >  * if a presence server is aware of multiple PUA for a 
> presentity, the
> > presence server SHOULD act as a PA (and therefore not fork 
> > subscriptions)
> 
> So, when I register with the presence server 
> (method=SUBSCRIBE), I can't be

methods=SUBSCRIBE  (plural)

> sure to be the only one, whitch would mean I don't know if my 
> PA or the
> presence server "PA" will handle the SUBSCRIBE requests. I'm 
> not sure if
> this would be a problem. Any thoughts?

Its not a problem at all. In fact, it could very well be BOTH. The presence
server acts as a PA, but to get at your presence state, it SUBSCRIBEs to
your PUA.

> 
> Wouldn't it make sense to fork and wait for all responses? 

Proxy forking behavior doesn't work this way. In any case, its irrelevant,
since the issue is with whether or not the notifications are accepted at the
subscriber.

> >  * a subscriber SHOULD accept all NOTIFY requests generated 
> > by a particular
> > subscription (i.e., not reject all but the one matching the 2xx to
> > SUBSCRIBE), and then compose the presence data from each 
> > notification into a
> > complete presence document
> 
>
> Disagreed, because:
> If you accept all NOTIFY's, you MUST be absolutely sure, they 
> contain the
> same presence status. 

No, that is not true at all. The most common case is that they contain
non-overlapping presence status. That is, someone subscribes to
[email-masked], and that forks to my PC and my cell phone. Each
generate independent pieces of presence for jdrosen, which are combined at
the subscriber. 

-Jonathan R.
---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com
_______________________________________________
simple mailing list
[email-masked]
http://mailman.dynamicsoft.com/mailman/listinfo/simple